## GtkRecentChooserWidget GtkRecentChooserWidget |

## Functions

GtkWidget * | gtk_recent_chooser_widget_new ()
GtkWidget * | gtk_recent_chooser_widget_new_for_manager ()

## Types and Values

struct | GtkRecentChooserWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GtkRecentChooserWidget

## Implemented Interfaces

GtkRecentChooserWidget implements AtkImplementorIface, GtkBuildable, GtkOrientable and GtkRecentChooser.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_recent_chooser_widget_new ()

    GtkWidget *
    gtk_recent_chooser_widget_new (void);

Creates a new GtkRecentChooserWidget object. This is an embeddable widget used to access the recently used resources list.

#### Returns

a new GtkRecentChooserWidget

Since: 2.10

### gtk_recent_chooser_widget_new_for_manager ()

    GtkWidget *
    gtk_recent_chooser_widget_new_for_manager
                                   (GtkRecentManager *manager);

Creates a new GtkRecentChooserWidget with a specified recent manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a GtkRecentManager object.

#### Parameters

manager | a GtkRecentManager |

#### Returns

a new GtkRecentChooserWidget

Since: 2.10

## Types and Values

### struct GtkRecentChooserWidget

    struct GtkRecentChooserWidget;